<div class="sort-b">
  <h4>Всего: {{itemCount}}</h4>
  <ul class="ul-c">
    <li>
      <span>Показывать карточки по: </span>
    </li>
    <!-- Zdes mojno voobwe is dicts brat i probegatsya -->
    <li>
      <a (click)="setPageSize(5)" class="{{pageSize === 5? 'active':''}} cursor-pointer">5
        <div></div>
      </a>
    </li>
    <li>
      <a (click)="setPageSize(15)" class="{{pageSize === 15? 'active':''}} cursor-pointer">15
        <div></div>
      </a>
    </li>
    <li>
      <a (click)="setPageSize(30)" class="{{pageSize === 30? 'active':''}} cursor-pointer">30
        <div></div>
      </a>
    </li>
  </ul>
</div>

<app-card-list
  [items]="cards"
  (onDeleteCard)="deleteCard($event)"
  (onEditCard)="editCard($event)"></app-card-list>

<nav aria-label="Page navigation example">
  <ul class="pagination">
    <li class="page-item cursor-pointer" *ngFor="let page of pages"><a class="page-link {{page == currentPage? 'active': ''}}" (click)="selectPage(page)">{{page}}</a>
    </li>
  </ul>
</nav>




<div class="modal fade" id="editCardModal" tabindex="-1" role="dialog"
     aria-labelledby="editCardModallabel"
     aria-hidden="true" >
  <div class="modal-dialog" style="width: 760px; max-width: 760px;">
    <div class="modal-content">
      <div class="modal-header">
        <h4 class="modal-title" id="editCardModallabel">Редактирование новости</h4>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <div class="form-110">
          <div *ngIf="editForm" class="form-text form-textarea">
            <form [formGroup]="editForm" enctype="multipart/form-data">
              <div *ngFor="let item of editFormElements">
                <app-form-element [element]="item" [form]="editForm"></app-form-element>
              </div>
            </form>
          </div>
        </div>
      </div>
      <div class="modal-footer">
        <div class="form-item__body pull-l-r">
          <button class="btn_green_wp no-padding btn_f" (click)="updateCard()">
            <span class="align-elem">Подтвердить</span>
          </button>
          <button class="btn-default btn_f" data-toggle="modal" data-target="#editCardModal">
            <span class="align-elem">Отмена</span>
          </button>
        </div>
      </div>
    </div>
  </div>
</div>
